← OBPv7.0.0 Search API Metrics via Elasticsearch GET /obp/v7.0.0/search/metrics/QUERY OBPv2.0.0-elasticSearchMetrics Roles: CanSearchMetrics MetricAPIOld-Style Search the API calls made to this API instance via Elastic Search. Login is required. CanSearchMetrics entitlement is required to search metrics data. parameters: esType - elasticsearch type simple query: q - plain_text_query df - default field to search sort - field to sort on size - number of hits returned, default 10 from - show hits starting from json query: source - JSON_query_(URL-escaped) example usage: /search/metrics/q=findThis or: /search/metrics/source={"query":{"query_string":{"query":"findThis"}}} Note!! The whole JSON query string MUST be URL-encoded: For { use %7B For } use %7D For : use %3A For " use %22 etc.. Only q, source and esType are passed to Elastic Elastic simple query: https://www.elastic.co/guide/en/elasticsearch/reference/current/search-uri-request.html Elastic JSON query: https://www.elastic.co/guide/en/elasticsearch/reference/current/query-filter-context.html User Authentication is Required. The User must be logged in. The Application must also be authenticated. URL Parameters: QUERY: JSON response body fields (0) Example success response {} Possible errors (3) OBP-20001: User not logged in. Authentication is required!OBP-20006: User is missing one or more roles: OBP-50000: Unknown Error.